Page MenuHomePhabricator

Mobile editors do not log loaded events
Closed, ResolvedPublic

Description

The loaded event (which lies after ready) was added to the Edit schema in December 2017 to allow for finer-grained tracking of editor load time.

However, this event was never added to the mobile editors. I'm not sure of the exact definition (the schema just says "editor has fully loaded"), but the most important field to instrument is action.loaded.timing, which is pulled from the NavTiming API.

Event Timeline

Neil_P._Quinn_WMF triaged this task as High priority.Oct 2 2018, 7:08 PM
Neil_P._Quinn_WMF created this task.
JKatzWMF moved this task from Triage to Tracking on the Product-Analytics board.Oct 4 2018, 8:48 PM

'ready' means the editor is ready to receive user input, but may not be fully loaded, 'loaded' means the editor is fully loaded with all features. The only place where these events are not fired together is in the NWE, where we show a temporary textarea editor while the toolbar is loading. We can add the 'loaded' event to mobile, but for historical data you can just use 'ready' as they are currently identical.

DLynch claimed this task.Jan 16 2019, 6:53 PM
DLynch moved this task from Incoming to In progress on the VisualEditor (Current work) board.

Change 484861 had a related patch set uploaded (by DLynch; owner: DLynch):
[mediawiki/extensions/MobileFrontend@master] Log 'loaded' event for EditAttemptStep

https://gerrit.wikimedia.org/r/484861

Change 484861 merged by jenkins-bot:
[mediawiki/extensions/MobileFrontend@master] Log 'loaded' event for EditAttemptStep

https://gerrit.wikimedia.org/r/484861

ppelberg closed this task as Resolved.Feb 27 2019, 6:53 PM